JobSplit.SplitMetaInfo (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.split
Class JobSplit.SplitMetaInfo

    java.lang.Object
      org.apache.hadoop.mapreduce.split.JobSplit.SplitMetaInfo

All Implemented Interfaces:
  Writable

Enclosing class:
  JobSplit

    public static class JobSplit.SplitMetaInfo

extends Object
implements Writable

This represents the meta information about the task split. The main fields are - start offset in actual split - data length that will be processed in this split - hosts on which this split is local

Constructor Summary
`JobSplit.SplitMetaInfo()`
`JobSplit.SplitMetaInfo(InputSplit split, long startOffset)`
`JobSplit.SplitMetaInfo(String[] locations, long startOffset, long inputDataLength)`

Method Summary
`long` | `getInputDataLength()`
`String[]` | `getLocations()`
`long` | `getStartOffset()`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `setInputDataLength(long length)`
`void` | `setInputDataLocations(String[] locations)`
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobSplit.SplitMetaInfo

    public JobSplit.SplitMetaInfo()

### JobSplit.SplitMetaInfo

    public JobSplit.SplitMetaInfo(String[] locations,
                                  long startOffset,
                                  long inputDataLength)

### JobSplit.SplitMetaInfo

    public JobSplit.SplitMetaInfo(InputSplit split,
                                  long startOffset)
                           throws IOException

Throws:
  `IOException`

Method Detail

### getLocations

    public String[] getLocations()

### getStartOffset

    public long getStartOffset()

### getInputDataLength

    public long getInputDataLength()

### setInputDataLocations

    public void setInputDataLocations(String[] locations)

### setInputDataLength

    public void setInputDataLength(long length)

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation